<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class import hk.quantr.mxgraph.analysis.StructuralException (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class import hk.quantr.mxgraph.analysis.StructuralException (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class import hk.quantr.mxgraph.analysis.StructuralException" class="title">Uses of Class<br>import hk.quantr.mxgraph.analysis.StructuralException</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.analysis">import hk.quantr.mxgraph.analysis</a></th>
<td class="colLast">
<div class="block">This package provides various algorithms for graph analysis, such as
  shortest path and minimum spanning tree.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.analysis">
<!--   -->
</a>
<h3>Uses of <a href="../StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a> in <a href="../package-summary.html">import hk.quantr.mxgraph.analysis</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">import hk.quantr.mxgraph.analysis</a> that throw <a href="../StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.util.List&lt;java.util.Map&lt;java.lang.Object,&#8203;java.lang.Object&gt;&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxTraversal.</span><code><span class="memberNameLink"><a href="../mxTraversal.html#bellmanFord(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">bellmanFord</a></span>&#8203;(<a href="../mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
           java.lang.Object&nbsp;startVertex)</code></th>
<td class="colLast">
<div class="block">Implements the Bellman-Ford shortest path from startVertex to all vertices.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxTraversal.</span><code><span class="memberNameLink"><a href="../mxTraversal.html#dijkstra(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object,java.lang.Object,import hk.quantr.mxgraph.view.mxGraph.mxICellVisitor)">dijkstra</a></span>&#8203;(<a href="../mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
        java.lang.Object&nbsp;startVertex,
        java.lang.Object&nbsp;endVertex,
        <a href="../../view/mxGraph.mxICellVisitor.html" title="interface in import hk.quantr.mxgraph.view">mxGraph.mxICellVisitor</a>&nbsp;visitor)</code></th>
<td class="colLast">
<div class="block">Implements the Dijkstra's shortest path from startVertex to endVertex.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;java.lang.Object[][]&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxTraversal.</span><code><span class="memberNameLink"><a href="../mxTraversal.html#floydRoyWarshall(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">floydRoyWarshall</a></span>&#8203;(<a href="../mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">
<div class="block">Implements the Floyd-Roy-Warshall (aka WFI) shortest path algorithm between all vertices.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphGenerator.</span><code><span class="memberNameLink"><a href="../mxGraphGenerator.html#getKnightTour(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int,int,int)">getKnightTour</a></span>&#8203;(<a href="../mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
             int&nbsp;xDim,
             int&nbsp;yDim,
             int&nbsp;startVertexValue)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphStructure.</span><code><span class="memberNameLink"><a href="../mxGraphStructure.html#getSinkVertices(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">getSinkVertices</a></span>&#8203;(<a href="../mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphStructure.</span><code><span class="memberNameLink"><a href="../mxGraphStructure.html#getSourceVertices(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">getSourceVertices</a></span>&#8203;(<a href="../mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxTraversal.</span><code><span class="memberNameLink"><a href="../mxTraversal.html#getWFIPath(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.util.ArrayList,java.lang.Object,java.lang.Object)">getWFIPath</a></span>&#8203;(<a href="../mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
          java.util.ArrayList&lt;java.lang.Object[][]&gt;&nbsp;FWIresult,
          java.lang.Object&nbsp;startVertex,
          java.lang.Object&nbsp;targetVertex)</code></th>
<td class="colLast">
<div class="block">This method helps the user to get the desired data from the result of the Floyd-Roy-Warshall algorithm.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphStructure.</span><code><span class="memberNameLink"><a href="../mxGraphStructure.html#makeTreeDirected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">makeTreeDirected</a></span>&#8203;(<a href="../mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                java.lang.Object&nbsp;startVertex)</code></th>
<td class="colLast">
<div class="block">Makes a tree graph directed from the source to the leaves</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphGenerator.</span><code><span class="memberNameLink"><a href="../mxGraphGenerator.html#oneSpanningTree(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,boolean,boolean)">oneSpanningTree</a></span>&#8203;(<a href="../mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
               boolean&nbsp;forceConnected,
               boolean&nbsp;forceSimple)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphStructure.</span><code><span class="memberNameLink"><a href="../mxGraphStructure.html#regularity(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">regularity</a></span>&#8203;(<a href="../mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
